## ros-indigo-jsk-baxter-web 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_baxter_web)

find_package(catkin REQUIRED)
find_package(baxter_description)
if(baxter_description_FOUND)
  if (EXISTS ${baxter_description_SOURCE_DIR}/meshes)
    set(_baxter_description_location ${baxter_description_SOURCE_DIR}/meshes)
  elseif (EXISTS ${baxter_description_SOURCE_PREFIX}/meshes)
    set(_baxter_description_location ${baxter_description_SOURCE_PREFIX}/meshes)
  elseif (EXISTS ${baxter_description_PREFIX}/share/baxter_description/meshes)
    set(_baxter_description_location ${baxter_description_PREFIX}/share/baxter_description/meshes)
  else (EXISTS ${baxter_description_SOURCE_DIR}/meshes)
    message(FATAL_ERROR "cannot find baxter_description")
  endif(EXISTS ${baxter_description_SOURCE_DIR}/meshes)

  execute_process(COMMAND mkdir -p ${PROJECT_SOURCE_DIR}/www/baxter_description/meshes/)
  execute_process(COMMAND cp -Ru  ${_baxter_description_location}  ${PROJECT_SOURCE_DIR}/www/baxter_description/ OUTPUT_VARIABLE OUTPUT OUTPUT_STRIP_TRAILING_WHITESPACE)
endif()

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES jsk_baxter_web
#  CATKIN_DEPENDS rosbridge_server roswww
#  DEPENDS system_lib
)

include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS)

=== debian/changelog ===
ros-indigo-jsk-baxter-web (1.1.0-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.9-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.8-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.7-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.6-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.5-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.4-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.3-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.2-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.1-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (1.0.0-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.13-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.12-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.11-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.10-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.9-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.8-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.7-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.6-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.5-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Tue, 07 Apr 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.4-1trusty) trusty; urgency=high

  * do not generate baxter_description if baxter_description is not found
  * [jsk_baxter_web] Do not depend on rwt_ros (meta package)
  * Delete rospack find and use the result of find package

 -- inagaki <inagaki@todo.todo>  Thu, 29 Jan 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.3-1trusty) trusty; urgency=high



 -- inagaki <inagaki@todo.todo>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.2-1trusty) trusty; urgency=high

  * add install commands to cmake
  * Contributors: Kei Okada

 -- inagaki <inagaki@todo.todo>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-jsk-baxter-web (0.0.1-1trusty) trusty; urgency=high

  * debug the loop of link problem
    update to Copy Correctly
  * add urdf_viewer for real robot
  * delte rwt_ros from find_package
  * update .rosinstall to include rwt_ros
  * add jsk baxter web
  * Contributors: Yuto Inagaki

 -- inagaki <inagaki@todo.todo>  Wed, 24 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-jsk-baxter-web
Section: misc
Priority: extra
Maintainer: inagaki <inagaki@todo.todo>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-robot-state-publisher, ros-indigo-rosbridge-server, ros-indigo-tf2-web-republisher
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-jsk-baxter-web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-robot-state-publisher, ros-indigo-rosbridge-server, ros-indigo-tf2-web-republisher
Description: The jsk_baxter_web package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-jsk-baxter-web//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
